Sign inGet started

Reports

GET
/organizations/{organizationId}/reports
List organization reports
Parametri di query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload della risposta
results
array of object
obbligatorio
Mostra attributi secondari
results.id
string
results.from
string
results.productName
string
results.to
string
results.createdAt
string
results.productId
string
results.createdBy
string
results.createdByType
string
Identifies who or what created the report. Absent on historical records created before attribution tracking was introduced.
Possible values: user, api_key
results.organizationId
string
results.rawKey
string
results.enrichedKey
string
results.status
string
Possible values: pending, complete
results.metadata
object
results.reportType
string
Possible values: itemised, aggregated
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/reports' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
Esempio di codice
curl -X GET "https://api.bird.com/organizations/{organizationId}/reports" \
 -H "Content-Type: application/json" \
 -H "Authorization: AccessKey abcd" 
POST
/organizations/{organizationId}/reports
Create itemised report for organization and product
Payload della richiesta
productId
string
obbligatorio
ID of the product to generate report for
from
string
obbligatorio
Start date of the report period
to
string
obbligatorio
End date of the report period
Payload della risposta
id
string
from
string
productName
string
to
string
createdAt
string
productId
string
createdBy
string
createdByType
string
Identifies who or what created the report. Absent on historical records created before attribution tracking was introduced.
Possible values: user, api_key
organizationId
string
rawKey
string
enrichedKey
string
status
string
Possible values: pending, complete
metadata
object
reportType
string
Possible values: itemised, aggregated
Esempio di codice
curl -X POST 'https://api.bird.com/organizations/{organizationId}/reports' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
Esempio di codice
curl -X POST "https://api.bird.com/organizations/{organizationId}/reports" \
 -H "Content-Type: application/json" \
 -H "Authorization: AccessKey abcd" \
 -d '{"productId": "9c31bfb6-d792-4a88-a0b9-904230230de5", "from": "2025-08-01", "to": "2025-08-10"}' 
ProductNameProductId
aiabd21841-400c-4d1a-8322-51929abe668c
alphanumeric9c31bfb6-d792-4a88-a0b9-904230230de5
chata59a938c-ada8-4100-8834-c541798fcb48
contact-lookup49f682ae-6e30-440e-b86e-7d9171d0b35a
contacts82fff5bd-e147-4fcc-a8c9-760adfbea58b
email2a1b4126-2a2d-4dcc-bac1-9ec7fa632394
facebook9728f45c-2686-4f20-b721-3ba98d33f5c0
flowsb815c4f7-a3be-465d-a5e6-2e3c05a10c23
inbox6f44ba37-30b7-40d8-b8b0-c613d6b06ef4
instagram2c384c4d-bc72-4b5e-8ef7-2c020a6538d7
journeys67f75d99-9b64-46ba-958b-ad2a7629d850
line1b240f93-cf07-4edf-9866-571d008d603f
mmse88a8f43-d2ff-4ae6-9bb2-f4d00ff4b1e1
mms10dlca7d6fca8-96a6-4b2a-8993-d537a5ffeb7d
numberscd03ae6e-90f8-4aa0-aba4-c1190acaf2bd
shortcode9e110353-70fb-4a89-bbbc-57b785c36b20
smsba676254-3771-448e-b499-fddab7182ccb
sms10dlc856bdb66-2c5a-4c02-a332-27dadffbc502
telegramcd570663-b355-4f38-8766-1d25ea106bbe
voice70520167-460d-41ac-bf99-04eb26517814
whatsapp0177585d-27cf-45f3-b43f-fdd8cb2dcce6
POST
/organizations/{organizationId}/reports/{reportType}
Create different report for organization and product by type
Payload della richiesta
request to generate an itemised report
productId
string
obbligatorio
ID of the product to generate report for
from
string
obbligatorio
Start date of the report period
to
string
obbligatorio
End date of the report period
Payload della risposta
id
string
from
string
productName
string
to
string
createdAt
string
productId
string
createdBy
string
createdByType
string
Identifies who or what created the report. Absent on historical records created before attribution tracking was introduced.
Possible values: user, api_key
organizationId
string
rawKey
string
enrichedKey
string
status
string
Possible values: pending, complete
metadata
object
reportType
string
Possible values: itemised, aggregated
Esempio di codice
curl -X POST 'https://api.bird.com/organizations/{organizationId}/reports/{reportType}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
Esempio di codice
curl -X POST "https://api.bird.com/organizations/{organizationId}/reports/aggregated" \
 -H "Content-Type: application/json" \
 -H "Authorization: AccessKey abcd" \
 -d '{"productId": "ba676254-3771-448e-b499-fddab7182ccb", "from": "2025-08-01", "to": "2025-08-31", "periodAggregation": "day"}'
GET
/organizations/{organizationId}/reports/{reportId}
Download report csv file
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/reports/{reportId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
Esempio di codice
curl -X GET "https://api.bird.com/organizations/organizationId/reports/61e9b0a8-b69d-5844-8722-0f9e844af813" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-o downloadreport.zip